import request from '@/utils/request'

// 查询改签订单列表-分页
export const reSubmitPageList = (query) => {
  return request({
    url: '/order/orderInfo/reSubmitPageList',
    method: 'get',
    params: query
  })
}

// 时段列表  场次信息
export const getDateTimeAll = (query) => {
    return request({
      url: '/merchant/merchantPerformTime/getDateTimeAll',
      method: 'get',
      params: query
    })
  }
  

// 订单改签
export const rebookApi = (data) => {
  return request({
    url: '/order/orderResubmit/reSubmit',
    method: 'post',
    data: data
  })
}

// 获取票档
export const getTimeSeatTypeAllApi = (query) => {
  return request({
    url: '/merchant/merchantPerformTime/getTimeSeatTypeAll',
    method: 'get',
    params: query
  })
}

// 获取改签/升舱信息
export const resubmitInfoApi = (query) => {
  return request({
    url: '/order/orderResubmit/resubmitInfo',
    method: 'get',
    params: query
  })
}